# Catalog import This endpoint sends a catalog to be imported asynchronously to one or more stores. Each store generates an import identifier that can be used to check the process status afterwards. The catalog must have at least 60% of its items with images. It will return a 202 - Success response when all requests were sent successfully, or 206 - Partial Error if any post fails. **POST** `/proximity/integration/v1/catalog` ## Request parameters - `store_ids` (array, optional) Array that receives external_ids of the stores that should receive the catalog. The external_ids of each store can be configured using the Mercado Pago Delivery API. - `sections` (array, optional) Array of objects that contain information about the sections that should be imported into the catalog. - `sections[].description` (string, optional) Optional string that describes the catalog section. Maximum length of 1020 characters. - `sections[].name` (string, optional) Name of the section. Maximum length of 60 characters. - `sections[].items` (array, optional) Array of objects containing the items to be imported into the section. - `sections[].items[].description` (string, optional) Optional string that describes the item. Maximum length of 1020 characters. - `sections[].items[].external_id` (string, optional) The item public identifier (SKU) must be unique for each store. It is used for future item updates. Maximum length of 100 characters. - `sections[].items[].image` (string, optional) Public link to the item image that will be displayed to the buyer. The image will be copied to an internal storage during the item creation. Allowed image formatting .jpg, .png, .bmp, .webp. Minimum size of 500 px on one side. Use content-type 'image/*' in your URL. - `sections[].items[].name` (string, optional) Item name. Maximum length of 60 characters. - `sections[].items[].price` (number, optional) The item price, which must be a positive number. Zero is not allowed. - `sections[].items[].discount_price` (number, optional) Optional field that informs the discounted value of the product. If the value is equal to 0 or null, the information will not be considered. The discount price value must be less than the regular price. In addition, the promotional value is valid for 3 months from its creation. - `sections[].items[].status` (string, optional) The item current status, can be active if it is available ("active"), or paused if it is not ("paused"). Possible enum values: - `active` Active the item. - `paused` Pause the item. - `sections[].items[].options` (array, optional) Optional field. Array containing a group of complements present in the main item. - `sections[].items[].options[].name` (string, optional) Name of the complements group. Maximum length of 60 characters. - `sections[].items[].options[].group_min` (number, optional) Optional integer number, default is 0. Minimum number of complements that the buyer can select for the group. Zero is allowed if the complement is optional. Cannot be greater than group_max. - `sections[].items[].options[].group_max` (number, optional) Required integer number. Maximum number of complements that the buyer can select for the group. Zero is not allowed. Cannot be less than group_min. - `sections[].items[].options[].complements` (array, optional) Required array that receives the complement group components. At least one element is required. - `sections[].items[].options[].complements[].description` (string, optional) Optional string. A description of the complement item to be displayed to the buyer. Maximum length of 1020 characters. - `sections[].items[].options[].complements[].external_id` (string, optional) Required string.The complement item public identifier (SKU) must be unique for each store. It is used for future item updates. Maximum length of 100 characters. - `sections[].items[].options[].complements[].image` (string, optional) Public link to the complement item image that will be displayed to the buyer. The image will be copied to an internal storage during the item creation. - `sections[].items[].options[].complements[].min` (number, optional) Optional integer number, default is 0. Minimum quantity of the complement that can be chosen by the buyer. Must be less than or equal to complement.max. Cannot be greater than group_min. - `sections[].items[].options[].complements[].max` (number, optional) Required integer number. Maximum number of complement item that the buyer can select for the group. Zero is allowed if the complement is optional. Cannot be greater than group_max. - `sections[].items[].options[].complements[].name` (string, optional) Name of the complement item. Maximum length of 40 characters. - `sections[].items[].options[].complements[].price` (number, optional) The complement item price, which could be zero if it is free or included in the main item price. - `sections[].items[].options[].complements[].status` (string, optional) The complemenet item current status, can be active if it is available ("actived"), or paused if it is not ("paused"). Possible enum values: - `active` Active the item. - `paused` Pause the item. ## Response parameters - `msg` (string, optional) Description of the operation result. - `results` (array, optional) Array of publication results per store. List of publications that were sent to the processing queue. - `results[].store_id` (string, optional) External_id of store of the catalog publication. - `results[].catalog_id` (string, optional) Catalog Publish Operation ID. - `results[].status` (string, optional) Status of the publication process. Possible enum values: - `processing` The catalog has been sent successfully to the processing queue. - `error` the publication could not be started because some error in the request or an internal failure. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | error | Publication error caused by some inconsistency in the fields. | ## Request example ### cURL ```bash curl -X POST \ 'https://api.mercadopago.com/proximity/integration/v1/catalog' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' \ -d '{ "store_ids": [ "external_store_id_01" ], "sections": [ { "description": "The most delicious burgers in town", "name": "Hamburguers", "items": [ { "description": null, "external_id": null, "image": null, "name": null, "price": null, "discount_price": null, "status": null, "options": null } ] } ] }' ``` ## Response example ```json { "msg": "Success", "results": [ { "store_id": "external_store_id_01", "catalog_id": "b2f6b992-5133-11ed-a81f-acde48001122", "status": "processing" } ] } ```